<?php
if ( function_exists('register_sidebar') )
    register_sidebar(array(
        'before_widget' => '<div class="p2">',
    'after_widget' => '</div>',
 'before_title' => '<h2>',
        'after_title' => '</h2>',
    ));

function widget_mytheme_search() {
?>
    <div class="p2">
		<h2><label for="s"><?php _e('Search:'); ?></label></h2>
		<ul>
			<li>
			<form id="searchform" method="get" action="<?php echo $PHP_SELF; ?>">
			<div>
					<input type="text" name="s" id="s" size="15" /><br />
					<input type="submit" name="submit" value="<?php _e('Search'); ?>" />
			</div>
				</form>
			</li>
		</ul>
</div>		

function widget_mytheme_blogroll() {
?>
    <div class="p2">
		<h2><label for="s"><?php _e('Search:'); ?></label></h2>
		<ul>
			<li>
			<form id="searchform" method="get" action="<?php echo $PHP_SELF; ?>">
			<div>
					<input type="text" name="s" id="s" size="15" /><br />
					<input type="submit" name="submit" value="<?php _e('Search'); ?>" />
			</div>
				</form>
			</li>
		</ul>
</div>

<?php
}
if ( function_exists('register_sidebar_widget') )
    register_sidebar_widget(__('Search'), 'widget_mytheme_search');

if ( function_exists('register_sidebar_widget') )
register_sidebar_widget(_('Pages'), 'widget_mytheme_blogroll');


/*
File Name: Wordpress Theme Toolkit
Version: 1.0
Author: Ozh
Author URI: http://planetOzh.com/
*/

/************************************************************************************
 * THEME USERS : don't touch anything !! Or don't ask the theme author for support :)
 ************************************************************************************/

include(dirname(__FILE__).'/themetoolkit.php');

/************************************************************************************
 * THEME AUTHOR : edit the following function call :
 ************************************************************************************/

themetoolkit(
	'InBusiness-Options', /* Make yourself at home :
			* Name of the variable that will contain all the options of
			* your theme admin menu (in the form of an array)
			* Name it according to PHP naming rules (http://php.net/variables) */

	array(     /* Variables used by your theme features (i.e. things the end user will
			* want to customize through the admin menu)
 			* Syntax :
			* 'option_variable' => 'Option Title ## optionnal explanations',
			* 'option_variable' => 'Option Title {radio|value1|Text1|value2|Text2} ## optionnal explanations',
			* 'option_variable' => 'Option Title {textarea|rows|cols} ## optionnal explanations',
			* 'option_variable' => 'Option Title {checkbox|option_varname1|value1|Text1|option_varname2|value2|Text2} ## optionnal explanations',
			* Examples :
			* 'your_age' => 'Your Age',
			* 'cc_number' => 'Credit Card Number ## I can swear I will not misuse it :P',
			* 'gender' => 'Gender {radio|girl|You are a female|boy|You are a male} ## What is your gender ?'
			* Dont forget the comma at the end of each line ! */
	'metakeywords'         => ''.__('Meta Keywords','InBusiness').' {textarea|2|80} ## <small>'.__('Seperate keywords with commas ( e.g.: Blog, WordPress, blogosphere ).','InBusiness').'</small>',
	'metakeywordsanzeige'  => '{radio|metakeywordsanzeigean|'.__('enable','InBusiness').' '.__('Meta Keywords','InBusiness').'|metakeywordsanzeigeaus|'.__('disable','InBusiness').' '.__('Meta Keywords','InBusiness').'}',
	'metadescription'         => ''.__('Meta Description','InBusiness').' {textarea|2|80}',
	'metadescriptionanzeige'  => '{radio|metadescriptionanzeigean|'.__('enable','InBusiness').' '.__('Meta Description','InBusiness').'|metadescriptionanzeigeaus|'.__('disable','InBusiness').' '.__('Meta Description','InBusiness').'}',


	'debug' => 'debug', 	/* this is a fake entry that will activate the "Programmer's Corner"
			 * showing you vars and values while you build your theme. Remove it
			 * when your theme is ready for shipping */
	),
	__FILE__	 /* Parent. DO NOT MODIFY THIS LINE !
			  * This is used to check which file (and thus theme) is calling
			  * the function (useful when another theme with a Theme Toolkit
			  * was installed before */
);
	
/************************************************************************************
 * THEME AUTHOR : Congratulations ! The hard work is all done now :)
 *
 * From now on, you can create functions for your theme that will use the array
 * of variables $mytheme->option. For example there will be now a variable
 * $mytheme->option['your_age'] with value as set by theme end-user in the admin menu.
 ************************************************************************************/

/***************************************
 * Additionnal Features and Functions
 *
 * Create your own functions using the array
 * of user defined variables $mytheme->option.
 *
 **************************************/

function creditcard() {
	global $mytheme;
	print "My Credit Card Number is : ";
	print $mytheme->option['creditcard'];
}

function InBusiness_metakeywordsanzeige() {
	global $InBusiness;
	if ($InBusiness->option['metakeywordsanzeige'] == 'metakeywordsanzeigean') {	
    echo '<meta name="keywords" content="';
		print $InBusiness->option['metakeywords'];
		echo '" />'."\n";
	}
}


function InBusiness_metadescriptionanzeige() {
	global $InBusiness;
	if ($InBusiness->option['metadescriptionanzeige'] == 'metadescriptionanzeigean') {	
    echo '<meta name="description" content="';
		print $InBusiness->option['metadescription'];
		echo '" />'."\n";
	}
}

?>